import { Facet } from "@codemirror/state";
import { Language } from "./api/proto/exa/codeium_common_pb/codeium_common_pb.js";
import { Document } from "./api/proto/exa/language_server_pb/language_server_pb.js";
import { type PartialMessage } from "@bufbuild/protobuf";
export interface CodeiumConfig {
    /**
     * Codeium API key
     */
    apiKey: string;
    language?: Language;
    /**
     * Time in millseconds after typing to fetch
     * completions from codeium
     */
    timeout?: number;
    authSource?: number;
}
export declare const codeiumConfig: Facet<CodeiumConfig, Required<CodeiumConfig>>;
export interface CodeiumOtherDocumentsConfig {
    otherDocuments?: PartialMessage<Document>[];
}
export declare const codeiumOtherDocumentsConfig: Facet<CodeiumOtherDocumentsConfig, Required<CodeiumOtherDocumentsConfig>>;
//# sourceMappingURL=config.d.ts.map