import { Facet, combineConfig } from "@codemirror/state";
import { Language } from "./api/proto/exa/codeium_common_pb/codeium_common_pb.js";
export const codeiumConfig = Facet.define({
    combine(configs) {
        return combineConfig(configs, {
            language: Language.TYPESCRIPT,
            timeout: 150,
        }, {});
    },
});
export const codeiumOtherDocumentsConfig = Facet.define({
    combine(configs) {
        return combineConfig(configs, {
            otherDocuments: [],
        }, {});
    },
});
//# sourceMappingURL=config.js.map